Bug 859757 - [abrt] zsh-4.3.17-1.fc17: strcpy: Process /usr/bin/zsh was killed by signal 11 (SIGSEGV)
[abrt] zsh-4.3.17-1.fc17: strcpy: Process /usr/bin/zsh was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
abrt_hash:89f6b07e8934fdbd263ba31145f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 16:21 EDT by Garry T. Williams
Modified: 2013-07-31 21:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.72 KB, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: environ (1.89 KB, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: backtrace (84.45 KB, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: cgroup (128 bytes, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: maps (6.81 KB, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: dso_list (1.42 KB, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: var_log_messages (302 bytes, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details
File: open_fds (105 bytes, text/plain)
2012-09-23 16:21 EDT, Garry T. Williams
no flags Details

  None (edit)
Description Garry T. Williams 2012-09-23 16:21:31 EDT
Description of problem:
I pasted a long command into my konsole session.

That resulted in:

garry@vfr$        
?sudo yum update --enablerepo=updates-testing kde-workspace-4.9.1-5.fc17 akonadWarning: Program '/bin/zsh' crashed. ark-4.9.1-1.fc17 audiocd-kio-4.9.1-1.fc17 b_


Version-Release number of selected component:
zsh-4.3.17-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /bin/zsh
crash_function: strcpy
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 strcpy at ../sysdeps/x86_64/multiarch/strcpy-ssse3.S
: #2 getvisrchstr at zle_hist.c
: #3 vihistorysearchbackward at zle_hist.c
: #4 execzlefunc at zle_main.c
: #5 zlecore at zle_main.c
: #6 zleread at zle_main.c
: #7 zleentry at init.c
: #8 inputline at input.c
: #9 ingetc at input.c
: #10 ihgetc at hist.c
Comment 1 Garry T. Williams 2012-09-23 16:21:34 EDT
Created attachment 616216 [details]
File: core_backtrace
Comment 2 Garry T. Williams 2012-09-23 16:21:35 EDT
Created attachment 616217 [details]
File: environ
Comment 3 Garry T. Williams 2012-09-23 16:21:39 EDT
Created attachment 616218 [details]
File: backtrace
Comment 4 Garry T. Williams 2012-09-23 16:21:41 EDT
Created attachment 616219 [details]
File: limits
Comment 5 Garry T. Williams 2012-09-23 16:21:44 EDT
Created attachment 616220 [details]
File: cgroup
Comment 6 Garry T. Williams 2012-09-23 16:21:45 EDT
Created attachment 616221 [details]
File: maps
Comment 7 Garry T. Williams 2012-09-23 16:21:47 EDT
Created attachment 616222 [details]
File: dso_list
Comment 8 Garry T. Williams 2012-09-23 16:21:49 EDT
Created attachment 616223 [details]
File: var_log_messages
Comment 9 Garry T. Williams 2012-09-23 16:21:50 EDT
Created attachment 616224 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 18:51:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 21:01:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.